﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace WpfHwndHost
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            string pathEnvVarName = "PATH";
            string pathEnvVarValue = Environment.GetEnvironmentVariable(pathEnvVarName);

            string thirdPartyDir = Environment.GetEnvironmentVariable("THIRD_PARTY_DIR");
            pathEnvVarValue += String.Format($@";{thirdPartyDir}\OCCT\install\win64\vc14\bind");
            Environment.SetEnvironmentVariable(pathEnvVarName, pathEnvVarValue);
        }
    }
}
