﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfHwndHost
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private OccViewerHost _OccViewer;
        private OCCTProxy _OccView;

        private void On_UIReady(object sender, EventArgs e)
        {
            _OccViewer = new OccViewerHost(OccViewerContainer.ActualHeight, OccViewerContainer.ActualWidth);
            OccViewerContainer.Child = _OccViewer;
            _OccView = _OccViewer.View;
        }
    }
}
